Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 214850 - x11-libs/gtksourceview-2 ebuild syntax highlighting fix
Summary: x11-libs/gtksourceview-2 ebuild syntax highlighting fix
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
: 214853 (view as bug list)
Depends on:
Blocks: 280533
  Show dependency tree
 
Reported: 2008-03-26 11:05 UTC by René 'Necoro' Neumann
Modified: 2010-10-18 09:32 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
gentoo.lang.patch (gentoo.lang.patch,3.62 KB, patch)
2008-03-26 11:10 UTC, René 'Necoro' Neumann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description René 'Necoro' Neumann 2008-03-26 11:05:45 UTC
The gentoo.lang introduced with bug #194462 needs some fixes, as the sh.lang, on which it depends, has changed.

I'll attach a patch.
This mainly removes the workarounds for the shell syntax which aren't needed anymore. And as this workarounds relied on internal definitions of the shell syntax the current gentoo.lang does not work anymore - so there is actually the _need_ to remove them.

And additionally "elog" is added to the list of portage commands.
Comment 1 René 'Necoro' Neumann 2008-03-26 11:09:47 UTC
*** Bug 214853 has been marked as a duplicate of this bug. ***
Comment 2 René 'Necoro' Neumann 2008-03-26 11:10:59 UTC
Created attachment 147369 [details, diff]
gentoo.lang.patch

The patch
Comment 3 Gilles Dartiguelongue gentoo-dev 2008-04-09 21:33:13 UTC
not sure why but I applied the patch here and it didn't seem to make any change.
Comment 4 René 'Necoro' Neumann 2008-04-09 21:55:36 UTC
Hmm ... for gtksourceview-2.2.0 there is no difference ... but for 2.0.2 there is

But as the patch removes some hackery, I vote for also include it in 2.2.0 :)
Comment 5 René 'Necoro' Neumann 2008-04-09 22:03:50 UTC
Hmm ... throws errors with gtksourceview-2.0.2 ... so ... something was screwed up, when I was writing the patch ...

I have to review this and rewrite it, so that it does not depend on any shell internals that might change.
Comment 6 Gilles Dartiguelongue gentoo-dev 2008-11-22 00:04:47 UTC
please update your patch for inclusion.
Comment 7 Gilles Dartiguelongue gentoo-dev 2009-03-08 21:07:28 UTC
please get back to us.
Comment 8 René 'Necoro' Neumann 2009-03-08 22:06:28 UTC
Portato-0.12 was released - so now I've time for looking into this issue. I think you can expect a result during this week.
Comment 9 Gilles Dartiguelongue gentoo-dev 2009-03-08 22:12:39 UTC
good, thanks for not forgetting about us :)
Comment 10 Gilles Dartiguelongue gentoo-dev 2009-10-28 22:50:14 UTC
Please get back to us. I think part of your stuff is merged with bug #275110. But there's probably other things that would allow us to fix bug #280533.
Comment 11 Pacho Ramos gentoo-dev 2010-03-12 12:01:01 UTC
Closing until patch is updated, feel free to reopen then

Thanks
Comment 12 Gilles Dartiguelongue gentoo-dev 2010-10-18 09:32:34 UTC
Thanks for taking the time to report this bug, however, since it has not been updated to provide the request information, we cannot help in resolving your issue.